Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/include/diplodlg_g.h File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions | Variables
diplodlg_g.h File Reference
`#include "shared.h"`
`#include "diptreaty.h"`
`#include "gui_proto_constructor.h"`

Go to the source code of this file.

## Functions

| GUI_FUNC_PROTO (void, handle_diplomacy_init_meeting, int counterpart, int initiated_from) GUI_FUNC_PROTO(void
int int initiated_from | GUI_FUNC_PROTO (void, handle_diplomacy_create_clause, int counterpart, int giver, enum clause_type type, int value) GUI_FUNC_PROTO(void

## Variables

| handle_diplomacy_cancel_meeting
int | counterpart
int int initiated_from | handle_diplomacy_remove_clause
int int initiated_from int int | giver

## Function Documentation

## ◆ GUI_FUNC_PROTO() [1/2]

int int initiated_from GUI_FUNC_PROTO | ( | void | ,
|  | handle_diplomacy_create_clause | ,
|  | int | counterpart,
|  | int | giver,
|  | enum clause_type | type,
|  | int | value
| ) |  |

## ◆ GUI_FUNC_PROTO() [2/2]

GUI_FUNC_PROTO | ( | void | ,
|  | handle_diplomacy_init_meeting | ,
|  | int | counterpart,
|  | int | initiated_from
| ) |  |

## Variable Documentation

## ◆ counterpart

int int initiated_from int counterpart

Definition at line 25 of file diplodlg_g.h.

Referenced by diplo_dlg::add_widget(), client_handle_packet(), diplo_dlg::close_widget(), diplo_dlg::diplo_dlg(), diplo_wdg::diplo_wdg(), dlsend_packet_diplomacy_accept_treaty(), dlsend_packet_diplomacy_cancel_meeting(), dlsend_packet_diplomacy_create_clause(), dlsend_packet_diplomacy_init_meeting(), dlsend_packet_diplomacy_remove_clause(), dsend_packet_diplomacy_accept_treaty(), dsend_packet_diplomacy_accept_treaty_req(), dsend_packet_diplomacy_cancel_meeting(), dsend_packet_diplomacy_cancel_meeting_req(), dsend_packet_diplomacy_create_clause(), dsend_packet_diplomacy_create_clause_req(), dsend_packet_diplomacy_init_meeting(), dsend_packet_diplomacy_init_meeting_req(), dsend_packet_diplomacy_remove_clause(), dsend_packet_diplomacy_remove_clause_req(), diplo_dlg::find_widget(), handle_diplomacy_accept_treaty(), handle_diplomacy_accept_treaty_req(), handle_diplomacy_cancel_meeting(), handle_diplomacy_cancel_meeting_req(), handle_diplomacy_create_clause(), handle_diplomacy_create_clause_req(), handle_diplomacy_init_meeting(), handle_diplomacy_init_meeting_req(), handle_diplomacy_remove_clause(), handle_diplomacy_remove_clause_req(), receive_packet_diplomacy_accept_treaty_100(), receive_packet_diplomacy_accept_treaty_req_100(), receive_packet_diplomacy_cancel_meeting_100(), receive_packet_diplomacy_cancel_meeting_req_100(), receive_packet_diplomacy_create_clause_100(), receive_packet_diplomacy_create_clause_req_100(), receive_packet_diplomacy_init_meeting_100(), receive_packet_diplomacy_init_meeting_req_100(), receive_packet_diplomacy_remove_clause_100(), receive_packet_diplomacy_remove_clause_req_100(), remove_clause_widget_from_list(), and server_handle_packet().

## ◆ giver

int int initiated_from int int giver

Definition at line 28 of file diplodlg_g.h.

Referenced by diplo_wdg::all_advances(), client_handle_packet(), compute_tech_sell_price(), dai_goldequiv_clause(), diplomacy_dialog_tech_callback(), diplomacy_dialog_tech_callback(), dlsend_packet_diplomacy_create_clause(), dlsend_packet_diplomacy_remove_clause(), do_unit_change_homecity(), dsend_packet_diplomacy_create_clause(), dsend_packet_diplomacy_create_clause_req(), dsend_packet_diplomacy_remove_clause(), dsend_packet_diplomacy_remove_clause_req(), diplo_wdg::give_advance(), diplo_wdg::give_city(), handle_diplomacy_create_clause(), handle_diplomacy_create_clause_req(), handle_diplomacy_remove_clause(), handle_diplomacy_remove_clause_req(), receive_packet_diplomacy_create_clause_100(), receive_packet_diplomacy_create_clause_req_100(), receive_packet_diplomacy_remove_clause_100(), receive_packet_diplomacy_remove_clause_req_100(), remove_clause_widget_from_list(), and server_handle_packet().

## ◆ handle_diplomacy_cancel_meeting

handle_diplomacy_cancel_meeting

Definition at line 24 of file diplodlg_g.h.

Referenced by client_handle_packet().

## ◆ handle_diplomacy_remove_clause

int int initiated_from handle_diplomacy_remove_clause

Definition at line 28 of file diplodlg_g.h.

Referenced by client_handle_packet().